summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers
diff options
context:
space:
mode:
authorJonathan Callen <en.ABCD@gmail.com>2010-08-27 11:51:31 -0400
committerZac Medico <zmedico@gentoo.org>2010-08-27 08:52:37 -0700
commit550ff15440fc85cc80d1adf1f70f3caacb2fd8e5 (patch)
tree6b0b550222ff5ce38f3645cebc3f8ba91aba72a5 /bin/ebuild-helpers
parent9b8973ce4b38e0f6d3857052bd8a842037924924 (diff)
downloadportage-550ff15440fc85cc80d1adf1f70f3caacb2fd8e5.tar.gz
portage-550ff15440fc85cc80d1adf1f70f3caacb2fd8e5.tar.bz2
portage-550ff15440fc85cc80d1adf1f70f3caacb2fd8e5.zip
ecompressdir: use proper exit value
Diffstat (limited to 'bin/ebuild-helpers')
-rwxr-xr-xbin/ebuild-helpers/ecompressdir2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/ebuild-helpers/ecompressdir b/bin/ebuild-helpers/ecompressdir
index 6cbb53f9a..90c26f9d5 100755
--- a/bin/ebuild-helpers/ecompressdir
+++ b/bin/ebuild-helpers/ecompressdir
@@ -24,7 +24,7 @@ case $1 in
touch "$@"
ret=$?
[[ $ret -ne 0 ]] && helpers_die "${0##*/} failed"
- exit $?
+ exit $ret
;;
--dequeue)
[[ -n $2 ]] && vecho "${0##*/}: --dequeue takes no additional arguments" 1>&2